////////////////////////////////////////////////////////////////////////////////
//Description:  Agilent 34401A bus sniffer Mux controller                      /
//Firmware:     0163-01-00                                                     /
//Hardware:                                                                    /
//Processor:    PIC18F2520                                                     /
////////////////////////////////////////////////////////////////////////////////
//Revision history                                                             /
//No.   Date        Description                                                /
//-----------------------------------------------------------------------------/
//00    2009/06/25  Initial release                                            /
////////////////////////////////////////////////////////////////////////////////
#define     debugme         0           //0=standalone / 1=debug
////////////////////////////////////////////////////////////////////////////////
#include    "016301.h"
#include    "pinmap.h"
#include    <stdlib.h>
////////////////////////////////////////////////////////////////////////////////
#include    "016301_memmap.c"
#include    "016301_interrupt.c"
#include    "016301_utility.c"
#include    "016301_protocol.c"
////////////////////////////////////////////////////////////////////////////////
#define     mon_freq        65535       //loop prescaler
#define     mon_lamp        c5lat       //use pinmap.h definitions
#include    "mon_flash.c"
////////////////////////////////////////////////////////////////////////////////

















void main(){
////////////////////////////////////////////////////////////////////////////////

////////////////////////////////////////////////////////////////////////////////
meminit();
////////////////////////////////////////////////////////////////////////////////
while(true){
////////////////////////////////////////////////////////////////////////////////
restart_wdt();
mon_flash();
protocol();
////////////////////////////////////////////////////////////////////////////////

////////////////////////////////////////////////////////////////////////////////
}}
////////////////////////////////////////////////////////////////////////////////

