////////////////////////////////////////////////////////////////////////////////
#include <18F2520.h>
////////////////////////////////////////////////////////////////////////////////
#if debugme==1
  #device ICD=true
#endif
////////////////////////////////////////////////////////////////////////////////
#device adc=8
#use delay(clock=32000000,RESTART_WDT)
#use rs232(baud=9600,parity=N,xmit=PIN_C6,rcv=PIN_C7,bits=8,stream=pcport,restart_wdt)
#use fast_io(a)
#use fast_io(b)
#use fast_io(c)
////////////////////////////////////////////////////////////////////////////////
#if debugme==1
    #FUSES NOWDT
    #FUSES WDT128
    #FUSES INTRC_IO
    #FUSES NOPROTECT
    #FUSES BROWNOUT
    #FUSES BORV42
    #FUSES PUT
    #FUSES NOCPD
    #FUSES STVREN
    #FUSES DEBUG
    #FUSES NOLVP
    #FUSES NOWRT
    #FUSES NOWRTD
    #FUSES NOIESO
    #FUSES FCMEN
    #FUSES NOPBADEN
    #FUSES NOWRTC
    #FUSES NOWRTB
    #FUSES NOEBTR
    #FUSES NOEBTRB
    #FUSES NOCPB
    #FUSES NOLPT1OSC
    #FUSES noMCLR
    #FUSES NOXINST
#endif
#if debugme==0
    #FUSES WDT
    #FUSES WDT128
    #FUSES INTRC_IO
    #FUSES NOPROTECT
    #FUSES BROWNOUT
    #FUSES BORV42
    #FUSES PUT
    #FUSES NOCPD
    #FUSES STVREN
    #FUSES noDEBUG
    #FUSES NOLVP
    #FUSES NOWRT
    #FUSES NOWRTD
    #FUSES NOIESO
    #FUSES FCMEN
    #FUSES NOPBADEN
    #FUSES NOWRTC
    #FUSES NOWRTB
    #FUSES NOEBTR
    #FUSES NOEBTRB
    #FUSES NOCPB
    #FUSES NOLPT1OSC
    #FUSES noMCLR
    #FUSES NOXINST
#endif
////////////////////////////////////////////////////////////////////////////////

