////////////////////////////////////////////////////////////////////////////////
#byte       rcsta1              =0xfab
#bit        cren1               =rcsta1.4
#bit        oerr1               =rcsta1.1
////////////////////////////////////////////////////////////////////////////////
unsigned    int8                getbuffer[6];
unsigned    int8                buffcount;
unsigned    int8                statecount;
unsigned    int1                cmmdready;
unsigned    int16               cmmddata;
unsigned    int16               cmmdtemp;
////////////////////////////////////////////////////////////////////////////////






////////////////////////////////////////////////////////////////////////////////
void meminit(void){
//------------------------------------------------------------------------------
setup_oscillator(OSC_32MHZ);
//------------------------------------------------------------------------------
apin=0b00000000;
bpin=0b00000000;
cpin=0b00000000;
adir=0b00000000;
bdir=0b00000000;
cdir=0b10000000;
//------------------------------------------------------------------------------
buffcount=0;
statecount=0;
cmmdready=0;
//------------------------------------------------------------------------------
setup_adc_ports(NO_ANALOGS);
setup_adc(ADC_OFF);
setup_spi(FALSE);
setup_timer_0(RTCC_INTERNAL);
setup_timer_1(T1_DISABLED);
setup_timer_2(T2_DISABLED,0,1);
enable_interrupts(INT_RDA);
enable_interrupts(GLOBAL);
}
////////////////////////////////////////////////////////////////////////////////



