////////////////////////////////////////////////////////////////////////////////
#int_RDA
////////////////////////////////////////////////////////////////////////////////
void RDA_isr(void){
unsigned int8 temp;
unsigned int8 tempascii;

do  {
////////////////////////////////////////////////////////////////////////////////
temp=getc();
tempascii=temp & 0xdf;

switch(statecount){
  case 8:
  case 0:
    if (tempascii=='S')
      statecount++;
    else
      statecount=0;
    break;
  case 3:
  case 1:
    if (tempascii=='T')
      statecount++;
    else
      statecount=0;
    break;
  case 12:
  case 2:
    if (tempascii=='A')
      statecount++;
    else
      statecount=0;
    break;
  case 9:
  case 4:
    if (temp==':')
      statecount++;
    else
      statecount=0;
    break;
  case 5:
    if (tempascii=='Q')
      statecount++;
    else
      statecount=0;
    break;
  case 6:
    if (tempascii=='U')
      statecount++;
    else
      statecount=0;
    break;
  case 10:
  case 7:
    if (tempascii=='E')
      statecount++;
    else
      statecount=0;
    break;
  case 11:
    if (tempascii=='N')
      statecount++;
    else
      statecount=0;
    break;
  case 13:
    if (tempascii=='B')
      statecount++;
    else
      statecount=0;
    break;
  case 14:
    if (temp==' ')
      {
      statecount++;
      buffcount=0;
      }
    else
      statecount=0;
    break;
  default:
    if (temp==13)
        {
        if ((buffcount>0) && (buffcount<6))
            {
            getbuffer[buffcount]=0;
            cmmdtemp=atol(getbuffer)>>2;   //convert / shift out 2 lower bits
            cmmddata=cmmdtemp & 0x007f;    //trim off upper bits, now 0-6
            if (cmmdtemp & 0x0100)
              cmmddata=cmmddata | 0x0080;  //bit 7
            if (cmmdtemp & 0x0800)
              cmmddata=cmmddata | 0x0100;  //bit 8
            if (cmmdtemp & 0x1000)
              cmmddata=cmmddata | 0x0200;  //bit 9
            cmmdready=1;
            statecount=0;
            }
        }
    else
        {
        if ((buffcount==0) && (temp==' '))    //ignore leading spaces
            cmmdready=0;
        else
            {
            //0-9 only after leading spaces
            if ((temp >= '0') && (temp <= '9') && (buffcount < 6))
                {
                getbuffer[buffcount]=temp;
                buffcount++;
                }
            else
                statecount=0;
            }
        }
    break;
  }


////////////////////////////////////////////////////////////////////////////////
}while (kbhit()==true);
}
////////////////////////////////////////////////////////////////////////////////

