////////////////////////////////////////////////////////////////////////////////
void channel(unsigned int8 datain){
unsigned int8 temp;

//display the current channel
temp = clat & 0b11100011;
temp |= (datain & 7) << 2;
clat = temp;

//set the MUX channel
//all channels off
alat=0x00;
delay_ms(100);

switch (datain)
    {
    case 0:
        a0lat=1;
        break;
    case 1:
        a1lat=1;
        break;
    case 2:
        a2lat=1;
        break;
    case 3:
        a3lat=1;
        break;
    case 4:
        a4lat=1;
        break;
    case 5:
        a6lat=1;
        break;
    case 6:
        a7lat=1;
        break;
    case 7:
        a5lat=1;
        break;
    default:
        break;
    }
}
////////////////////////////////////////////////////////////////////////////////
void digio (unsigned int8 datain){
unsigned int8 temp_b;
unsigned int8 temp_c;

//entire port is dig io, 6/7 are icd
temp_b=0;

//only low 2 bits are dig io
temp_c=clat & 0b11111100;

if (datain & 1)
    temp_b |= 32;
if (datain & 2)
    temp_b |= 16;
if (datain & 4)
    temp_b |= 8;
if (datain & 8)
    temp_b |= 4;
if (datain & 16)
    temp_c |= 1;
if (datain & 32)
    temp_c |= 2;
if (datain & 64)
    temp_b |= 1;
if (datain & 128)
    temp_b |= 2;

//port c is lsb of upper nibble so do it first
clat=temp_c;

//then do port b
blat=temp_b;
}
////////////////////////////////////////////////////////////////////////////////
